Before start

    Before start


    Article Summary


    Before you start...

    In order to use the Shoplive Android SDK, you must first issue an Admin account through a Shoplive representative.

    You can get a Campaign Key by registering a new campaign through admin.



    Shoplive Android SDK is a mobile SDK that allows you to quickly and easily deliver live broadcasts to customers using your app by simply inserting a simple Java or Kotlin  code. It provides Shoplive PIP(Picture-in-Picture), Native keyboard UI, and etc to enable comfortable mobile experience.


    feature

    • WithShoplive Player,You can start to play broadcasts.

    • You can display your broadcasts to be lightweight and silent to be served as video banners to encourage users to watch your Shoplive broadcasts.

    • You can let users chat and search for products while watching your Shoplive stream.

    • You can participate in the chat as a guest and receive real-time information about the users who participated in the chat.

    • You can participate in chats as an authenticated user and link user accounts with simple authentication/security authentication.

    • You can change the chat screen name and chat font.

    • Coupons are available.

    • You can use multiple features to manage your products.

    • You can use the default system sharing UI, or you can use a custom system sharing UI.

    • You can share a link of broadcasting page.

    • You can set the interrupt option during Shoplive Player playback.

    • You can set the aspect ratio in tablet portrait mode.

    • You can receive various information about the broadcast being played in real time.

    • You can receive various event and information aboutShoplive Android SDK in real time.


    Requirements

    Shoplive Android SDKThis is the minimum requirement to use the If you don't meet this requirement, you Shoplive Android SDKwon't be able to use it.

    • Android 4.4 ideal

    • targetSdkVersion 33 ideal

    📘Check your ExoPlayer version.

    If the ExoPlayer version used by your app is lower than 2.16.0 and you receive an error, we recommend that you update ExoPlayer to version 2.16.0.


    SDK Samples

    You can check out the SDK samples at the link below.

    https://github.com/shoplive/android-sdk-sample



    What's Next